Skip to content

Create a batch group transfer

Request

Create a transfer in the batch group using a previously created recipient account and quote.

For the request body format, see transfer creation. For quote and recipient creation, see quote creation and recipient creation.

Security
UserToken or PersonalToken
Path
profileIdinteger, (int64)required

The ID of the profile that the batch group is associated with.

Example:12345678
batchGroupIdstring, (uuid)required

The batch group ID.

Example:54a6bc09-cef9-49a8-9041-f1f0c654cd88
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
targetAccountinteger, (int64)required

Recipient account ID.

Example:67890
sourceAccountinteger, (int64)

Refund recipient account ID.

Example:12345
quoteUuidstring, (uuid)required

Quote ID.

Example:"bd244a95-dcf8-4c31-aac8-bf5e2f3e54c0"
customerTransactionIdstring, (uuid)required

Unique identifier you generate for this transfer attempt.

Example:"a]1b2c3d4-e5f6-7890-abcd-ef1234567890"
detailsobject
curl -i -X POST \
  https://api.wise.com/2026Q3/profiles/12345678/batch-groups/54a6bc09-cef9-49a8-9041-f1f0c654cd88/transfers \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "targetAccount": 67890,
    "sourceAccount": 12345,
    "quoteUuid": "bd244a95-dcf8-4c31-aac8-bf5e2f3e54c0",
    "customerTransactionId": "a]1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "details": {
      "reference": "to my friend",
      "transferPurpose": "verification.transfers.purpose.pay.bills",
      "transferPurposeSubTransferPurpose": "verification.sub.transfers.purpose.pay.interpretation.service",
      "sourceOfFunds": "verification.source.of.funds.other"
    }
  }'

Responses

Transfer created successfully. Returns a transfer object.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
object

Transfer object. See Transfer API reference for full details.

Response
{}